package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ArContentChild;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ArContentChildMapper")
public interface ArContentChildMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ArContentChild record);

    ArContentChild selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ArContentChild record);

    List<ArContentChild> queryAllArContentChild(ArContentChild record);

    List<ArContentChild> queryArContentChildByPage(Map<String, Object> parameter);

    int delete(ArContentChild record);

    ArContentChild queryArContentChild(ArContentChild record);

    List<ArContentChild> query(ArContentChild record);
}

